"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var slave_1 = require("./slave");
var MockSlave = /** @class */ (function (_super) {
    __extends(MockSlave, _super);
    function MockSlave() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MockSlave.prototype.readCoils = function (startingAddress, quantityOfCoils) {
        return this.readBits(startingAddress, quantityOfCoils);
    };
    MockSlave.prototype.readDiscreteInputs = function (startingAddress, quantityOfInputs) {
        return this.readBits(startingAddress, quantityOfInputs);
    };
    MockSlave.prototype.readHoldingRegisters = function (startingAddress, quantityOfRegisters) {
        return this.readRegisters(startingAddress, quantityOfRegisters);
    };
    MockSlave.prototype.readInputRegisters = function (startingAddress, quantityOfRegisters) {
        return this.readRegisters(startingAddress, quantityOfRegisters);
    };
    MockSlave.prototype.writeSingleCoil = function (outputAddress, outputValue) {
        return outputValue;
    };
    MockSlave.prototype.writeSingleRegister = function (registerAddress, registerValue) {
        return registerValue;
    };
    MockSlave.prototype.writeMultipleCoils = function (startingAddress, outputValues) {
        return outputValues.length;
    };
    MockSlave.prototype.writeMultipleRegisters = function (startingAddress, registerValues) {
        return registerValues.length;
    };
    MockSlave.prototype.readBits = function (startingAddress, quantityOfBits) {
        var values = [];
        for (var i = 0; i < quantityOfBits; i++) {
            values.push(i % 2 === 0);
        }
        return values;
    };
    MockSlave.prototype.readRegisters = function (startingAddress, quantityOfRegisters) {
        var values = [];
        for (var i = 0; i < quantityOfRegisters; i++) {
            values.push(0xafaf);
        }
        return values;
    };
    return MockSlave;
}(slave_1.Slave));
exports.MockSlave = MockSlave;
//# sourceMappingURL=mock.js.map