"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var pdu = require("../pdu");
/** Modbus RTU request. */
var Request = /** @class */ (function (_super) {
    __extends(Request, _super);
    function Request(slaveAddress, functionCode, buffer) {
        var _this = _super.call(this, functionCode, buffer) || this;
        _this.slaveAddress = slaveAddress;
        _this.functionCode = functionCode;
        _this.buffer = buffer;
        return _this;
    }
    return Request;
}(pdu.Request));
exports.Request = Request;
/** Modbus RTU response. */
var Response = /** @class */ (function (_super) {
    __extends(Response, _super);
    function Response(slaveAddress, functionCode, data, buffer) {
        var _this = _super.call(this, functionCode, data, buffer) || this;
        _this.slaveAddress = slaveAddress;
        _this.functionCode = functionCode;
        _this.data = data;
        _this.buffer = buffer;
        return _this;
    }
    return Response;
}(pdu.Response));
exports.Response = Response;
/** Modbus RTU exception. */
var Exception = /** @class */ (function (_super) {
    __extends(Exception, _super);
    function Exception(slaveAddress, functionCode, exceptionFunctionCode, exceptionCode, buffer) {
        var _this = _super.call(this, functionCode, exceptionFunctionCode, exceptionCode, buffer) || this;
        _this.slaveAddress = slaveAddress;
        _this.functionCode = functionCode;
        _this.exceptionFunctionCode = exceptionFunctionCode;
        _this.exceptionCode = exceptionCode;
        _this.buffer = buffer;
        return _this;
    }
    return Exception;
}(pdu.Exception));
exports.Exception = Exception;
//# sourceMappingURL=rtu.js.map