import { Slave } from "./slave";
export declare class MockSlave extends Slave {
    readCoils(startingAddress: number, quantityOfCoils: number): boolean[];
    readDiscreteInputs(startingAddress: number, quantityOfInputs: number): boolean[];
    readHoldingRegisters(startingAddress: number, quantityOfRegisters: number): number[];
    readInputRegisters(startingAddress: number, quantityOfRegisters: number): number[];
    writeSingleCoil(outputAddress: number, outputValue: boolean): boolean;
    writeSingleRegister(registerAddress: number, registerValue: number): number;
    writeMultipleCoils(startingAddress: number, outputValues: boolean[]): number;
    writeMultipleRegisters(startingAddress: number, registerValues: number[]): number;
    readBits(startingAddress: number, quantityOfBits: number): boolean[];
    readRegisters(startingAddress: number, quantityOfRegisters: number): number[];
}
